VST 3 SDK VST 3.7 SDK for developing VST plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- _
- a
- b
- c
- e
- f
- g
- i
- k
- m
- n
- o
- p
- s
- t
- v
- w

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Here is a list of all namespace members with links to the namespace documentation for each member:

### - _ -

- __attribute__() : Steinberg::Vst::InterAppAudio

### - a -

- Aftertouch : Steinberg::Vst::MPE

### - b -

- boundTo() : Steinberg::Vst::Helpers

### - c -

- Channel : Steinberg::Vst::MPE
- ChannelPressure : Steinberg::Vst::MPE
- clear32() : Steinberg::Vst::Algo
- clear64() : Steinberg::Vst::Algo
- Controller : Steinberg::Vst::MPE
- convert() : VST3::StringConvert
- copy32() : Steinberg::Vst::Algo
- copy64() : Steinberg::Vst::Algo

### - e -

- equal() : Steinberg::Vst::Test

### - f -

- foreach() : Steinberg::Vst::Algo
- foreach32() : Steinberg::Vst::Algo
- foreach64() : Steinberg::Vst::Algo
- foreachLast() : Steinberg::Vst::Algo

### - g -

- getMIDICCOutValue() : Steinberg::Vst::Helpers
- getMIDINormValue() : Steinberg::Vst::Helpers
- getNormPitchBendValue() : Steinberg::Vst::Helpers
- getPitchBendValue() : Steinberg::Vst::Helpers

### - i -

- init() : Steinberg::Vst::Helpers
- initLegacyMIDICCOutEvent() : Steinberg::Vst::Helpers
- InputMIDIMessage : Steinberg::Vst::MPE
- isProjectState() : Steinberg::Vst::Helpers
- isSilent32() : Steinberg::Vst::Algo
- isSilent64() : Steinberg::Vst::Algo

### - k -

- kIPPathNameMax : VST3::Hosting

### - m -

- maxDiff() : Steinberg::Vst::Test
- MIDICC_0 : Steinberg::Vst::MPE
- MIDICC_127 : Steinberg::Vst::MPE
- mix32() : Steinberg::Vst::Algo
- mix64() : Steinberg::Vst::Algo
- multiply() : Steinberg::Vst::Algo
- multiply32() : Steinberg::Vst::Algo
- multiply64() : Steinberg::Vst::Algo

### - n -

- NormalizedValue : Steinberg::Vst::MPE
- NoteID : Steinberg::Vst::MPE
- notEqual() : Steinberg::Vst::Test

### - o -

- operator!=() : VST3
- operator<() : VST3
- operator==() : VST3

### - p -

- Path : VST3::Hosting
- Pitch : Steinberg::Vst::MPE
- PitchBend : Steinberg::Vst::MPE

### - s -

- setPitchBendValue() : Steinberg::Vst::Helpers
- soHandle : VSTGUI

### - t -

- toString() : VST3
- toTChar() : VST3
- tryVst2ProgramLoad() : VST3
- tryVst2StateLoad() : VST3

### - v -

- Velocity : Steinberg::Vst::MPE
- Vst2xChunk : VST3

### - w -

- writeVst2State() : VST3

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.